<!doctype html>
<html lang="en">
  <head>
    
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,700;0,800;1,300;1,400;1,500;1,700;1,800&display=swap" rel="stylesheet">
    <!-- My CSS -->
    <link rel="stylesheet" href="style.css">


        <title>Presto</title>
    </head>
    <body>
        <div style="margin-bottom: 90px;"></div>
        <!-- navbar -->
        <nav id="navbar-presto" class="navbar navbar-light bg-nav fixed-top">   
        <a class="navbar-brand" href="index.html"> <i class="fas fa-bullhorn fa-2x nav-btn"></i> <span class="navbar-title" >Presto</span></a>
        <form class="form-inline">
            <input class="form-control mr-sm-2 d-none d-md-block" type="search" placeholder="Cerca" aria-label="Search">
            <button class="btn my-2 my-sm-0 btn-search d-none d-md-block" type="submit"><i class="fas fa-search"></i></button>
        </form>
        <button type="button" class="btn my-2 my-sm-0 btn-search d-block d-md-none" data-toggle="modal" data-target="#searchModal">
            <i class="fas fa-search"></i>
        </button>
        <button type="button" class="btn btn-search" data-toggle="modal" data-target="#loginModal">
            Il Tuo Profilo
        </button>
        </nav>



        <div class="container-fluid mt-5">
            <div class="row mt-5">
                <!-- Accordion filtri -->
                <div class="col-12 col-md-3 mt-3">
                    <h2 class="text-blue text-center"> Filtra Per... </h2>
                    <div class="accordion" id="accordionExample">
                        <!-- Categorie -->
                        <div class="card">
                          <div class="card-header" id="headingOne">
                            <h2 class="mb-0">
                              <button class="btn btn-link btn-block text-link font-weight-bold" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                Categoria
                              </button>
                            </h2>
                          </div>
                      
                          <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                            <div class="card-body" id="filterCategoryWrapper">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" data-filter="Tutti" name="exampleRadios" id="allAds" value="tutti" checked>
                                    <label class="form-check-label" for="allAds">
                                      Tutte
                                    </label>
                                </div>                               
                            </div>
                          </div>
                        </div>
                        <!-- Prezzi -->
                        <div class="card">
                          <div class="card-header" id="headingTwo">
                            <h2 class="mb-0">
                              <button class="btn btn-link btn-block text-link font-weight-bold collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                Prezzo
                              </button>
                            </h2>
                          </div>
                          <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                            <div class="card-body">
                                <form>
                                    <div class="form-group text-center">
                                      <label id="setPrice" for="formControlRange"></label>
                                      <input id="inputPrice" type="range" class="form-control-range">
                                    </div>
                                    <div class="d-flex justify-content-between">
                                        <p id="minPrice" ></p>
                                        <p id="maxPrice"></p>
                                    </div>
                                  </form>
                            </div>
                          </div>
                        </div>
                        <!-- Cerca -->
                        <div class="card">
                          <div class="card-header" id="headingThree">
                            <h2 class="mb-0">
                              <button class="btn btn-link btn-block text-link font-weight-bold collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                Cerca
                              </button>
                            </h2>
                          </div>
                          <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
                            <div class="card-body">
                                <div class="form-group">
                                    <input type="text" class="form-control" id="selectedWord" placeholder="Cosa stai cercando?">
                                </div>
                            </div>
                          </div>
                        </div>
                    </div>
                    <div class="mt-3 px-2 d-flex justify-content-center">
                      <button class="btn btn-search mx-2" id="applyFilter">
                        Applica i Filtri
                      </button>
                      <button class="btn btn-reverse mx-2" id="resetFilter">
                        Cancella i Filtri
                      </button>
                    </div>
                </div>
                <div class="col-12 col-md-9">
                    <div class="row" id="adsWrapper">
                    </div> 
                </div>
            </div>
        </div>





        <footer id="sticky-footer" class="py-5 bg-transparent text-blue">
            <div class="container text-center">
            <h6>Copyright &copy; Alessandro Bianchetti & Enrico Parlanti for Hackademy22</h6>
            </div>
        </footer>
      
  
      
  
  
  
  
  
        <!-- Modale ricerca small screens -->
        <div class="modal fade" id="searchModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-blue" id="exampleModalLabel">Cerca</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                ...
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Save changes</button>
            </div>
            </div>
        </div>
        </div>
        <!-- Modale login -->
        <div class="modal fade" id="loginModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Login</h5>
            </div>
            <div class="modal-body">
                <form>
                <div class="form-group">
                    <label for="exampleInputEmail1">Indirizzo email</label>
                    <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
                </div>
                <div class="form-group">
                    <label for="exampleInputPassword1">Password</label>
                    <input type="password" class="form-control" id="exampleInputPassword1">
                </div>
                <div class="form-group form-check">
                    <input type="checkbox" class="form-check-input" id="exampleCheck1">
                    <label class="form-check-label" for="exampleCheck1">Ricordami</label>
                </div>
                <button type="submit" class="btn btn-search">Accedi</button>
                <button type="submit" class="btn btn-search">Hai già fatto l'accesso? Clicca qui!</button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-reverse" data-dismiss="modal">Chiudi</button>
            </div>
            </div>
        </div>
        </div>
        
        <!-- Bootstrap -->
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
        <!-- fontawesome -->
        <script src="https://kit.fontawesome.com/162bc24038.js" crossorigin="anonymous"></script>
        <!-- My JS -->
        <script src="scriptAds.js"></script>
    </body>
</html>    